#include <bits/stdc++.h>
using namespace std;
typedef long long ll;

int main()
{
    ll n;
    cin>>n;
    vector<ll> a(n);
    vector<ll> b(n);
    for(int i=0; i<n; i++){
        if(i%2==0){
            a[i]=i+2;
        }
        else{
            a[i]=(n*2)-(i-1);
        }
    }

    for(int i=0; i<n; i++){
        if(i%2==0){
            b[i]=i+1;
        }
        else{
            b[i]=(n*2)-i;
        }
    }
    for(auto x:a){
        cout<<x<<" ";
    }
    cout<<endl;
    for(auto x:b){
        cout<<x<<" ";
    }
    cout<<endl;
    return 0;
}